Skip to main content

Fetch filters for grid​

Get all saved filters available for the selected grid.

Path Parameters
  • gridId int32 required
Responses

OK


Schema
  • filters object[]

    Saved filters available for the requested grid.

  • filterId int32

    Unique identifier of the saved filter.

  • filterName string

    Display name of the saved filter.

  • rules object[]

    Rule conditions applied when this filter is used.

  • filterBy string

    Grid field name used for this filter condition.

  • condition string

    Comparison operator used to evaluate the field value.

  • value string

    Value to compare against for this filter condition.

  • associations object[]

    Users and groups who can access this filter.

  • id int32

    This gives Id of user or user group or external user group

  • name string

    This gives name of user or user group or external user group

  • type UserAndUserGroupsType

    Possible values: [USER, USER_GROUP, EXTERNAL_USER_GROUP]

    Tells what kind of user or user group it is

  • isCreator boolean

    Indicates whether the current user created this filter.

Loading...